SKB_ZEROCOPY(9)

NAME
skb_zerocopy - Zero copy skb to skb

SYNOPSIS

int skb_zerocopy(struct sk_buff * to, struct sk_buff * from, int len, int hlen);

ARGUMENTS

to
    destination buffer

from
    source buffer

len
    number of bytes to copy from source buffer

hlen
    size of linear headroom in destination buffer

DESCRIPTION

Copies up to `len` bytes from `from` to `to` by creating references to the frags in the source buffer.

The `hlen` as calculated by skb_zerocopy_headlen specifies the headroom in the `to` buffer.

0

everything is OK -ENOMEM: couldn't orphan frags of from due to lack of memory -EFAULT: skb_copy_bits found some problem with skb geometry

COPYRIGHT